=== debian/changelog ===
deepin-system-upgrade (6.0.2.3-1) unstable; urgency=medium

  * update

 -- LinuxDeepin <linuxdeepin@deepin.org>  Thu, 02 Mar 2023 09:07:55 +0800

deepin-system-upgrade (6.0.2.2) unstable; urgency=medium

  * Initial release

 -- Xin Lin <linxin@uniontech.com>  Sat, 27 Aug 2022 13:45:29 +0800
