=== debian/changelog ===
deepin-system-upgrade (6.0.3-1) unstable; urgency=medium

  * update

 -- LinuxDeepin <linuxdeepin@deepin.org>  Sun, 23 Apr 2023 13:44:35 +0800

deepin-system-upgrade (6.0.3) unstable; urgency=medium

  * fix: system upgrade failed
  * chore: modify title

 -- Xin Lin <linxin@uniontech.com>  Sun, 23 Apr 2023 11:02:30 +0800

deepin-system-upgrade (6.0.2.4) unstable; urgency=medium

  * fix bugs
  * develop:modify the application migration process
  * develop:add dialog before backuping current system

 -- Xin Lin <linxin@uniontech.com>  Tue, 11 Apr 2023 16:00:48 +0800
