=== debian/control ===
Source: deepin-system-upgrade
Section: utils
Priority: optional
Maintainer: LinuxDeepin <linuxdeepin@deepin.org>
Build-Depends:
  debhelper-compat (= 11),
  cmake,
  golang-any,
  golang-yaml.v2-dev,
  golang-dbus-dev,
  golang-github-linuxdeepin-go-lib-dev,
  libdtkwidget-dev,
  libdtkgui-dev,
  qtbase5-dev,
  qttools5-dev-tools
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: deepin-system-upgrade
Architecture: any
Depends:deepin-upgrade-manager, ${shlibs:Depends}, ${misc:Depends}, plymouth-label, fuseiso, dpkg-repack, squashfs-tools
Description: system upgrade tool
 deepin system upgrade tool in Linux
