=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE := /tmp/gocache
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --
