## deepin-system-upgrade 6.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(deepin-system-upgrade)

add_subdirectory("src/deepin-system-upgrade-tool")
add_subdirectory("src/deepin-system-upgrade-daemon")
