=== debian/changelog ===
deepin-system-upgrade (6.0.4-1) unstable; urgency=medium

  * update

 -- LinuxDeepin <linuxdeepin@deepin.org>  Wed, 17 May 2023 09:44:38 +0800

deepin-system-upgrade (6.0.4) unstable; urgency=medium

  * modify iso download url

 -- Xin Lin <linxin@uniontech.com>  Wed, 17 May 2023 09:34:22 +0800
